API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
  1. Sendings
  • Introduction
  • Sendings
    • Deprecated
      • Predict Sending KPI v1
      • Explain Sending KPI Prediction v1
      • Predict Sending KPI In Date Range v1
      • Explain Sending Text KPI Prediction v1
    • Predict Sending Text Popularity
      POST
    • Explain Sending Text Popularity Prediction
      POST
    • Predict Sending Time Series Popularity
      POST
    • Explain Sending Time Series Popularity Prediction
      POST
    • Predict Sending Popularity
      POST
    • Predict Bulk Sending Popularity
      POST
    • Explain Sending Popularity Prediction
      POST
    • Recommend sending time
      POST
  • Detect receipt fraud
    POST
  • Predict item classes
    POST
  • Generate Image
    POST
  • Generate Image Caption
    POST
  • Generate Text
    POST
  • Generate Sending Text
    POST
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
API OverviewAPI Reference
developer.placewise.comapp.placewise.complacewise.com
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
IndexPublic APIManagement APIUsers APIOperations APIMessaging APIReporting APIML API
Data API
  1. Sendings

Explain Sending Time Series Popularity Prediction

POST
https://api.mpc.dev.placewise.com/v1/ml/sending/explain_time_series_popularity
API Permit:ML:Sending:ExplainTextKPIPrediction
API Context:Loyalty Club
Authorizations:UserToken
Explains prediction for a specific sending and selected KPI based on historical KPI time series.

Example#

When successful, returns:
{
  "dates": [
    "2025-03-28",
    "2025-03-29",
    "2025-03-30"
  ],
  "predictions": [
    7.6644820793970885,
    7.6647581507025695,
    7.664979007746955
  ],
  "low_50_percentiles": [
    2.585277421222262,
    2.5597992934271305,
    2.534362770369186
  ],
  "high_50_percentiles": [
    12.743686737571915,
    12.76971700797801,
    12.795595245124723
  ],
  "low_95_percentiles": [
    0,
    0,
    0,
  ],
  "high_95_percentiles": [
    22.423873452263305,
    22.498987284518,
    22.573764561320587
  ]
}

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.mpc.dev.placewise.com/v1/ml/sending/explain_time_series_popularity' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Loyalty-Club-Slug: infinity-mall' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'Content-Type: application/json' \
--data-raw '{
    "channel": "email",
    "kpi": "ctr",
    "sending_date": "2022-11-09T16:25:58.099512Z"
}'
Response Response Example
{
    "dates": [
        "2023-01-15"
    ],
    "predictions": [
        0
    ],
    "low_50_percentiles": [
        0
    ],
    "high_50_percentiles": [
        0
    ],
    "low_95_percentiles": [
        0
    ],
    "high_95_percentiles": [
        0
    ]
}
Previous
Predict Sending Time Series Popularity
Next
Predict Sending Popularity
Built with